from dbs_resource_manager.models import *
from django.contrib import admin
from resource_manager.admin import *
from resource_manager.models import *
import resource_manager

class MySQLDatabaseAdmin(ReadOnlyAdminFields, admin.ModelAdmin):
    fields = ['expire', 'status', 'owner', 'name', 'host', 'processed', 'last_processed']
    readonly = ['processed', 'last_processed']

admin.site.register(MySQLDatabase, MySQLDatabaseAdmin)
admin.site.register(MySQLHost)

#Re-register UserAdmin, with our custom fields
admin.site.unregister(User)
UserAdmin.fields += ['email']
admin.site.register(User, UserAdmin)

